import Command from '../Command';
import CommandContext from '../CommandContext';
import NodeModel from '../model/NodeModel';
declare class AddTopicCommand extends Command {
    private _models;
    private _parentsIds;
    /**
     * @classdesc This command class handles do/undo of adding one or multiple topics to
     * the mindmap.
     */
    constructor(models: NodeModel[], parentTopicsId: number[] | null);
    execute(commandContext: CommandContext): void;
    undoExecute(commandContext: CommandContext): void;
}
export default AddTopicCommand;
